package com.pj.task;

import com.pj.api.dto.PaymentDto;
import com.pj.api.dto.PaymentTwoDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/payment/")
public class PaymentController {

    @Autowired
    private PaymentService paymentService;

    @RequestMapping("rpc/testSend")
    public void testSend() {
        paymentService.testSend();
    }

    @PostMapping("rpc/sendCXB001")
    public void sendCXB001(@RequestBody PaymentDto paymentDto) {
        paymentService.sendCXB001(paymentDto);
    }

    @PostMapping("rpc/sendSXB010")
    public void sendSXB010(@RequestBody PaymentDto paymentDto) {
        paymentService.sendSXB010(paymentDto);
    }

    @PostMapping("rpc/sendSXB013")
    public void sendSXB013(@RequestBody PaymentDto paymentDto) {
        paymentService.sendSXB013(paymentDto);
    }

    @PostMapping("rpc/sendSXB023")
    public void sendSXB023(@RequestBody PaymentDto paymentDto) {
        paymentService.sendSXB023(paymentDto);
    }

    @PostMapping("rpc/sendMKT006_NoCommission")
    public void sendMKT006_NoCommission(@RequestBody PaymentTwoDto paymentTwoDto) {
        paymentService.sendMKT006_NoCommission(paymentTwoDto);
    }

    @PostMapping("rpc/sendMKT006")
    public void sendMKT006(@RequestBody PaymentTwoDto paymentTwoDto) {
        paymentService.sendMKT006(paymentTwoDto);
    }
}
